import {apiFun}  from '@/common/api/index.js';
import {
	cloudRulesApiFun
} from "@/common/api/cloud_rules.js"
// const upload = async function(path, params = {}, vm) {

// 	return new Promise((resolve, reject) => {
// 		uni.showLoading({
// 			mask: true,
// 			title: '上传中'
// 		});
// 		let data = {
// 			url: vm.vuex_config.upload.uploadurl,
// 			filePath: path,
// 			header: {
// 				token: vm.vuex_token || '',
// 				uid: vm.vuex_user.id || 0
// 			},
// 			name: 'file',
// 			fileType:'image',
// 			complete: function() {
// 				uni.hideLoading();
// 			},
// 			success: uploadFileRes => {
// 				try {
// 					var res = uploadFileRes.data;
// 					if (vm.$u.test.jsonString(res)) {
// 						resolve(JSON.parse(res).data)
// 					}
// 					if (vm.$u.test.object(res)) {
// 						resolve(res.data)
// 					}
// 				} catch (e) {
// 					reject(uploadFileRes.data);
// 				}
// 			},
// 			fail: (e) => {
// 				reject(e);
// 			}
// 		};
// 		let isObj = vm.$u.test.object(vm.vuex_config.upload.multipart);		
// 		if (isObj) {
// 			data.formData = vm.vuex_config.upload.multipart;
// 		}
// 		uni.uploadFile(data);
// 	})

// }

const install = (Vue, vm) => {
	let apiUrls = apiFun(vm)
	// 将各个定义的接口名称，统一放进对象挂载到vm.$u.api(因为vm就是this，也即this.$u.api)下
	vm.$u.api = {
		...apiUrls,
	};
	let cloudRules = cloudRulesApiFun(vm)
	vm.$u.cloudApi = {
		...cloudRules
	}
}

export default {
	install
}
